Get domain information
GET
https://api.lws.net/v1/
operationIdgetDomain
Get detailed information about the specified domain, such as its owner, status, DNS zone, and more.
Path parameters
-
domainstring required -
Domain name whose information to fetch
Responses
200
Domain information retrieved successfully
{
"code": 200,
"info": "Fetched domain",
"data": {
"domain": "example.com",
"dns1": "ns1.lwsdns.com",
"dns2": "ns2.lwsdns.com",
"dns3": "ns3.lwsdns.com",
"dns4": "ns4.lwsdns.com",
"owner": "358240",
"redemption": "0",
"clientHold": "1",
"clientTransferProhibited": "1",
"serverHold": "0"
}
}
Response fields 13 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
-
dataobject -
domainstringDomain name
-
dns1stringFirst DNS of the domain
-
dns2stringSecond DNS of the domain
-
dns3stringThird DNS of the domain
-
dns4stringFourth DNS of the domain
-
ownerstringID of the current owner of the domain
-
redemptionstringDomain redemption status. '1' indicates domain is in redemption period (expired but renewable), '0' indicates normal status.
-
clientHoldstringDomain activation status. '1' means active, '0' means inactive (typically due to expiration).
-
clientTransferProhibitedstringTransfer lock status. '1' indicates transfer is prohibited, '0' indicates transfers are allowed.
-
serverHoldstringWhether the domain is blocked by the registrar (e.g. for legal reasons or non-compliant DNS). '1' means blocked, '0' means active.
400
Invalid input
{
"code": 400,
"info": "No domain provided"
}
Response fields 2 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
314
Domain not found on the account
314 is not a registered HTTP status code. It is specific to this API.
{
"code": 314,
"info": "Provided domain has not been found on your account. You must own this domain to manage it."
}
Response fields 2 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
500
Internal Server Error
{
"code": 500,
"info": "Internal Server Error",
"data": "string"
}
Response fields 3 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
-
datastringDetailled message about the error
502
Bad Gateway
{
"code": 502,
"info": "Invalid response from upstream server",
"data": []
}
Response fields 3 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
-
dataobjectInvalid response returned by the server
401
Unauthorized - Missing authentication headers
{
"code": 401,
"info": "Unauthorized access to the API. Please specify X-Auth-Pass and X-Auth-Login to proceed."
}
Response fields 2
-
codeinteger -
infostring
429
Rate limit exceeded
{
"code": 429,
"info": "Rate limit exceeded. Please try again later."
}
Response fields 2
-
codeinteger -
infostring